Subject: Re: [PATCH v3 1/1] worktree add: sanitize worktree names

From: Junio C Hamano <[email-masked]>
Date: Sun, 03 Mar 2019 10:22:09 +0900

Jeff King <[email-masked]> writes:

> I agree that sanitize_refname_format() would be nice, but I'm pretty
> sure it's going to end up having to duplicate many of the rules from
> check_refname_format(). Which is ugly if the two ever get out of sync.
>
> But if we could write it in a way that keeps the actual policy logic in
> one factored-out portion, I think it would be worth doing.

Yeah, I do too.

In the meantime, let's call v3 sufficient improvement from the
current state for now and queue it.